---
title: StylePropertyMap
slug: Web/API/StylePropertyMap
tags:
  - API
  - CSS Typed Object Model API
  - Experimental
  - Houdini
  - Interface
  - Reference
  - StylePropertyMap
---
<p>{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>StylePropertyMap</code></strong> interface of the <a href="/en-US/docs/Web/API/CSS_Typed_Object_Model_API">CSS Typed Object Model API</a> provides a representation of a CSS declaration block that is an alternative to {{DOMxRef("CSSStyleDeclaration")}}.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{DOMxRef("StylePropertyMapReadOnly")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>Inherits methods from its parent, {{DOMxRef("StylePropertyMapReadOnly")}}.</em></p>

<dl>
 <dt>{{DOMxRef("StylePropertyMap.append()")}}</dt>
 <dd>Adds a new CSS declaration to the <code>StylePropertyMap</code> with the given property and value.</dd>
 <dt>{{DOMxRef("StylePropertyMap.clear()")}}</dt>
 <dd>Removes all declarations in the <code>StylePropertyMap</code>.</dd>
 <dt>{{DOMxRef("StylePropertyMap.delete()")}}</dt>
 <dd>Removes the CSS declaration with the given property.</dd>
 <dt>{{DOMxRef("StylePropertyMap.set()")}}</dt>
 <dd>Changes the CSS declaration with the given property.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("CSS Typed OM", "#stylepropertymap", "StylePropertyMap")}}</td>
   <td>{{Spec2("CSS Typed OM")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StylePropertyMap")}}</p>
